 <script src="/playground.js"></script>
   
    <div id="streamers" style="display:none"></div>
    <h1>{{preload.progress}}</h1>
    <div id="playground">
        <ul class="timeline">
            <li class="record pull-right"><i class="start-timer fa fa-microphone"></i><span>RECORD</span></li>
            <li class="pull-left"><i class="stop-timer fa fa-stop"></i></li>
            <li class="pull-left"><i class="play fa fa-repeat"></i></li>
        </ul>
    <div class="audition">
      <div class="pie-loader"></div>
<ul class="characters">
    <li class="disable" ng-repeat="character in characters"><img class="characters_model" ng-src="{{character}}" /> <span>
        <img class="removeCharacter" src="/characters/error.png"/></span><span ><img class="punk" src='/characters/punk.png' /></span></li>
</ul>

    </div>
        <div class="beatbox">
            <table style="width:100%">
                <tr>
                    <td ng-repeat="collection in collections" ng-click="addBeat($index)" index="$index"><span><img src="{{collection.audioIcon}}"/></span></td>
                </tr>
            </table>

        </div>
    </div>
<script>

var $loader = $('.pie-loader'),
    sts = [
      $('<div>', { 'class': 'right' }).appendTo($loader)[0].style,
      $('<div>', { 'class': 'left' }).appendTo($loader)[0].style
    ];
    i = 0,
    step = 22,
    colors = ['transparent', 'grey']; //2 valid CSS colors



function loop() {

  sts[+(i > 180)].backgroundImage = 'linear-gradient('+ (i-90) +'deg, '+ colors[0] +' 50%, '+ colors[1] +' 50%)';

  if (++i > 360) {
    i = 0;
    colors.reverse();
  }
};

function isEverythinReady() {
  $('.characters').addClass('animatedCharacter');
    setTimeout(function() {
  $('.timeline').css('opacity','1').addClass('magictime slideUpReturn')
    }, 1000)
    setTimeout(function() {
  $('.beatbox').css('opacity','1').addClass('magictime slideDownReturn')
    }, 1000)



}
</script>
